#2011, Eulalie Sauthier, Master Thesis

statio_mensuel<- function(input_data,colonne,dbt,dbt_j,fin,fin_j,fq) {

name<-colnames(input_data)[colonne]#prépare nom de fichier automatiquement
name_title<-paste("Stationarité mensuelle pour", colnames(input_data)[colonne])
filename<-paste("../Image/Stationarité_mensuelle_", name,".pdf")

#on garde les times series pour pouvoir reploter juste à la fin
buffer<- ts(input_data[ ,colonne], start=c(dbt,dbt_j),end=c(fin,fin_j),freq=fq) # transformation en série temporelle

moy<- mean(buffer, na.rm=TRUE)#calcul de la moyenne
buffer_2<- buffer - moy #calcul des résidus

pdf(filename)
plot(buffer_2, main=name_title, xlab="Time",ylab="Ecart à la moyenne");abline(h=0) #plot le résultat
dev.off()
}